QGIS Application - Bug report #18229
"Check QGIS Version" shows 2.99 info in QGIS 3.0
2018-02-26 03:03 PM - Michel Stuyts

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:3.0.0 Regression?: No
Operating System: Windows 10 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 26120
Description

When | select "Check QGIS Version" under Help in QGIS 3.0, | get a "You are running a development version of QGIS..." window.

History

#1 - 2018-02-26 03:52 PM - Joao Gaspar

Hi Michel,

is osge4w or standalone installation?

Regards

Jodo

#2 - 2018-02-26 03:54 PM - Michel Stuyts

OSGeo4W

#3 - 2018-02-26 04:07 PM - Jodo Gaspar

Can you run the setup of osgeo4w shell and verify if the installed version is 2.99 or 3.07 Note: at this time the server can be down because of the high

number of downloads.

Regards

#4 - 2018-02-26 04:16 PM - Michel Stuyts

OSGeo4W says version 3.0.0-4 is installed

When QGIS starts it gives the 3.0 splash screen.
The QGIS About box gives the following information:

- QGIS version 3.0.0-Girona

- QGIS code revision 001¢c80b0c3

- Compiled against Qt 5.9.2

- Running against Qt 5.9.2

- Compiled against GDAL/OGR 2.2.3

- Running against GDAL/OGR 2.2.3

- Compiled against GEOS 3.5.0-CAPI-1.9.0
- Running against GEOS 3.5.0-CAPI-1.9.0 r4084

- PostgreSQL Client Version 9.2.4

- SpatialLite Version 4.3.0

- QWT Version 6.1.3

- QScintilla2 Version 2.10.1

- PROJ.4 Version 493

#5 - 2018-02-26 05:01 PM - Harrissou Santanna

OSGeo4W says version 3.0.0-4 is installed

This is indeed the dev version of 3.0 from yesterday, not 3.0.0-1 (which is the released "stable" one). And looking to it closely, it seems that the package

have been inverted (3.0.0-1 in qgis-rel-dev and 3.0.0-4 in qgis)

#6 - 2018-02-27 07:44 AM - Jiirgen Fischer

Harrissou Santanna wrote:

OSGeo4W says version 3.0.0-4 is installed

This is indeed the dev version of 3.0 from yesterday, not 3.0.0-1 (which is the released "stable" one). And looking to it closely, it seems that the

package have been inverted (3.0.0-1 in qgis-rel-dev and 3.0.0-4 in qgis)

No it isn't. qgis-3.0.0-4 is the fourth version of the release package (final-3_0_0 + packaging fixes). qgis-rel-dev-3.0.0-1 is the first automatic nightly of the

release branch.

#7 - 2018-02-28 01:05 PM - Michel Stuyts
- File qgischeckversion.jpg added

This is the window | get in QGIS 3.0.0-4:

F B
() QGIS Version Information [&J

I.-"'_"‘ You are running a development version of QGIS
| Visit http://download.qggis.org to get your copy of version 21816

® The current released version of QGIS 15 21816,

* We are working on 2.99-Master. It will go into feature
freeze on 2017-10-27 12:00:00 UTC and be released as 3.0
on 2018-02-23 12:00:00 UTC,

® Details on changes can be found by examining the
Activity in Redmine at https://issues.qgis.org/projects/

qgis.

o)

I don't know if it's important, but | also had qgis-dev installed before upgrading to 3.0. So previously 2.99 was installed, but now that's upgraded to 3.1.0-4.
https://github.com/qgis/QGIS/commits/release-3_0
https://github.com/qgis/QGIS/commits/release-3_0

#8 - 2018-03-01 02:33 PM - Michel Stuyts
- File QGIS_3 _1_Version_information.jpg added

| have tested it on some more machines.
I have 3 computers running Windows 10-64 bit that have QGIS 3.0.0 installed using OSGeo4W:
- The 2 machines that had QGIS 2.99 installed, show the wrong text in the QGIS Version Information window. These machines still have both qgis and
qgis-dev installed.
- The machine that had only QGIS 2.18 installed, shows the correct QGIS Version Information window.
| also have 2 Ubuntu Linux virtual machines running on Virtualbox.
- The machine running Ubuntu 16.04 that first had QGIS 2.99 and that now has QGIS 3.1.0-Master, shows the wrong text (see printscreen below).
- The machine running Ubuntu 17.10 that has a clean install of QGIS 3.0, shows the correct QGIS Version Information window.

The QGIS Version Information window in QGIS 3.1.0-Master on Ubuntu 17.10

@ QGIS Version Information

@ You are running a development version of QGIS
Visit http://download.qgis.org to get your copy of version
2.18.16

* The current released version of QGIS is 2.18.16.

*\We are working on 2.99-Master. It will go into Feature
freeze on 2017-10-27 12:00:00 UTC and be released as
3.0 on 2018-02-23 12:00:00 UTC.

* Details on changes can be found by examining the
Activity in Redmine at https://issues.qqgis.org/projects/
qgis.

#9 - 2018-03-14 02:04 PM - Michel Stuyts
- Status changed from Open to Closed

| tested it again and now all versions (Windows and Ubuntu) show the correct info in "Check QGIS Version".

QGIS 3 in Windows is still the same version 3.0.0-4 from OSGeo4W, but it now shows the correct info.
